BaseSessionBeanImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.session.BaseSessionBeanImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.session
Class BaseSessionBeanImpl

    java.lang.Object
      org.hyperic.hq.ui.session.BaseSessionBeanImpl

All Implemented Interfaces:
  BaseSessionBean

    public final class BaseSessionBeanImpl

extends java.lang.Object
implements BaseSessionBean

Constructor Summary
`BaseSessionBeanImpl()`

Method Summary
`java.lang.Integer` | `getSessionId()`
`WebUser` | `getWebUser()`
`void` | `init(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext ctx)` Deprecated. see interface for reason
`void` | `setSessionId(java.lang.Integer sessionId)`
`void` | `setWebUser(WebUser webUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseSessionBeanImpl

    public BaseSessionBeanImpl()

Method Detail

### init

    public void init(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.ServletContext ctx)

  Deprecated. see interface for reason

  Specified by:
    `init` in interface `BaseSessionBean`

### getWebUser

    public WebUser getWebUser()

  Specified by:
    `getWebUser` in interface `BaseSessionBean`

### setWebUser

    public void setWebUser(WebUser webUser)

  Specified by:
    `setWebUser` in interface `BaseSessionBean`

### getSessionId

    public java.lang.Integer getSessionId()

  Specified by:
    `getSessionId` in interface `BaseSessionBean`

### setSessionId

    public void setSessionId(java.lang.Integer sessionId)

  Specified by:
    `setSessionId` in interface `BaseSessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.